# Get

Launch stage: Beta

`GET /api/2.1/{name=knowledge-assistants/*/knowledge-sources/*}`

Gets a Knowledge Source.

API scopes: knowledge-assistants

## Path parameters

- `name` (string, optional)
  The resource name of the Knowledge Source.
   Format: knowledge-assistants/{knowledge_assistant_id}/knowledge-sources/{knowledge_source_id}

## Returns

Returns the KnowledgeSource object.

## Response

```json
{
  "name": "string",
  "display_name": "string",
  "description": "string",
  "source_type": "string",
  "index": {
    "index_name": "string",
    "text_col": "string",
    "doc_uri_col": "string"
  },
  "files": {
    "path": "string"
  },
  "file_table": {
    "table_name": "string",
    "file_col": "string"
  },
  "state": "string",
  "id": "string",
  "knowledge_cutoff_time": "string",
  "create_time": "string"
}
```

